// created: 29.12.00
// modified:

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

abstract class FunctionChanger extends JPanel
 {

 FunctionChanger()
  {  
  //set up this panel
  //setLayout(new GridLayout(1,3));
  setPreferredSize(new Dimension(310,20));
  } 
 
 abstract ValueFunction getFunction();

 public void setEnabled(boolean bool)
  {
  super.setEnabled(bool);
  }

 }